### Method

# Gtk ColumnView set_header_factory

since: 4.12

#### Declaration [src]

    void
    gtk_column_view_set_header_factory (
      GtkColumnView* self,
      GtkListItemFactory* factory
    )

#### Description [src]

Sets the `GtkListItemFactory` to use for populating the `GtkListHeader` objects used in section headers.

If this factory is set to `NULL`, the list will not show section headers.

Available since: 4.12

Sets property | `Gtk.ColumnView:header-factory`

#### Parameters

`factory`

  Type: `GtkListItemFactory`

  The factory to use.

  The argument can be `NULL`.
  The data is owned by the caller of the method.